#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: foldl
version: 1.4.0
id: foldl-1.4.0-Ihfv9qWfBmFLplpawCvPjo
key: foldl-1.4.0-Ihfv9qWfBmFLplpawCvPjo
license: BSD-3-Clause
copyright: 2013 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
author: Gabriel Gonzalez
synopsis: Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.
category: Control
abi: 45e5285279240b5b497f51ded8d461b9
exposed: True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
hidden-modules: Control.Foldl.Internal
import-dirs: /usr/lib/ghc-8.4.2/site-local/foldl-1.4.0
library-dirs: /usr/lib/ghc-8.4.2/site-local/foldl-1.4.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/foldl-1.4.0
hs-libraries: HSfoldl-1.4.0-Ihfv9qWfBmFLplpawCvPjo
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    mwc-random-0.13.6.0-2dWV9NF981KLsfJ2iPQJqH
    primitive-0.6.3.0-DaZpcxwJp2TGn8ITSgfI4C text-1.2.3.0
    transformers-0.5.5.0 vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb
    containers-0.5.11.0
    unordered-containers-0.2.9.0-KdZ4KMfcSgfH94a9qKVvIF
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    contravariant-1.4.1-JhNCvr1Fz7s6tlm4ZNUadw
    profunctors-5.2.2-FfP61adEtl33J2AjvYdae8
    comonad-5.0.3-6ylza6ScB7N7Q08Lve5Gxh
    vector-builder-0.3.4.1-9fsPkxQc0LxBG5wUc9dgXG
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             mwc-random-0.13.6.0-2dWV9NF981KLsfJ2iPQJqH=1b054f40a9cbba8026cb63c2f2919dda
             primitive-0.6.3.0-DaZpcxwJp2TGn8ITSgfI4C=16a73b69e52691069991327a53e4d794
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb=6eab66b6328cb1f1f60a88d42282d4d0
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             unordered-containers-0.2.9.0-KdZ4KMfcSgfH94a9qKVvIF=2ade52955b9fa0964135ae12d3c6ee25
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=0e3ad496fde59157bcd6a630b4b29548
             contravariant-1.4.1-JhNCvr1Fz7s6tlm4ZNUadw=392933da93f41717388f4fa27a3e8ff9
             profunctors-5.2.2-FfP61adEtl33J2AjvYdae8=380a192e7101ba55a8493414c546d00a
             comonad-5.0.3-6ylza6ScB7N7Q08Lve5Gxh=b105d508df43aebaef37e31239733528
             vector-builder-0.3.4.1-9fsPkxQc0LxBG5wUc9dgXG=44f34b0b8db3484dc8097d0ead5af71b
haddock-interfaces: /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html: /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

